org.h2.test

## Class TestDb.Child

- java.lang.Object
- - org.h2.test.TestBase
  - - org.h2.test.TestDb
    - - org.h2.test.TestDb.Child

Direct Known Subclasses:
  TestOutOfMemory.MyChild

Enclosing class:
  TestDb

    public abstract static class TestDb.Child
    extends TestDb

### Nested Class Summary

### Nested classes/interfaces inherited from class org.h2.test.TestDb

`TestDb.Child`

### Field Summary

### Fields inherited from class org.h2.test.TestBase

`BASE_TEST_DIR, config, start, uniqueId`

### Constructor Summary

Constructors
Constructor and Description
`TestDb.Child(java.lang.String... args)`

### Method Summary

Methods
`java.sql.Connection` `getConnection()`

### Methods inherited from class org.h2.test.TestDb

`buildChild, deleteDb, deleteDb, getConnection, getConnection, getURL, startServerIfRequired`

### Methods inherited from class org.h2.test.TestBase

`assertContains, assertEqualDatabases, assertEqualReaders, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEqualStreams, assertFalse, assertFalse, assertKnownException, assertKnownException, assertNotNull, assertNotNull, assertNull, assertResult, assertResultRowCount, assertResultSetMeta, assertResultSetOrdered, assertSame, assertSingleValue, assertSmaller, assertStartsWith, assertThrows, assertThrows, assertThrows, assertThrows, assertTrue, assertTrue, crash, createCaller, createClassProxy, createFailingStream, eatMemory, execute, execute, fail, fail, freeMemory, getBaseDir, getClassPath, getFilePassword, getJVM, getMemoryUsed, getMemoryUsedBytes, getPassword, getPassword, getSize, getTestDir, getTestName, getUser, init, init, isEnabled, logError, logErrorMessage, println, printTime, printTimeMemory, readString, runTest, test, throwException, trace, trace, traceMemory`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TestDb.Child

    public TestDb.Child(java.lang.String... args)

### Method Detail

#### getConnection

    public java.sql.Connection getConnection()
                                      throws java.sql.SQLException

Throws:
  `java.sql.SQLException`